<?php
/*--------------------------------------------+
| PHP-Fusion 5 - Content Management System    |
|---------------------------------------------|
| author: Nick Jones (Digitanium)  2002-2005 |
| web: http://www.php-fusion.co.uk            |
| email: nick@php-fusion.co.uk                |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/
require_once "maincore.php";
require_once "subheader.php";

// panele
$table = "panels_article";
require_once "side_left.php";
include LOCALE.LOCALESET."articles.php";

if (!isset($cat_id)) {
	opentable($locale['400']);
		// linki sortowania
		echo "<center>".$locale['404'].": ";
		// id
		if ($sort_by != "id")	{
		echo "<a href=articles.php?sort_by=id>".$locale['405']."</a>, ";
		} else {
		echo "<b>".$locale['405']."</b>, ";
		}
		// name
		if ($sort_by != "name")	{
		echo "<a href=articles.php?sort_by=name>".$locale['406']."</a>, ";
		} else {
		echo "<b>".$locale['406']."</b>, ";
		}
		// access
		if ($sort_by != "access")	{
		echo "<a href=articles.php?sort_by=access>".$locale['407']."</a>, ";
		} else {
		echo "<b>".$locale['407']."</b>, ";
		}
		// description
		if ($sort_by != "description")	{
		echo "<a href=articles.php?sort_by=description>".$locale['408']."</a>, ";
		} else {
		echo "<b>".$locale['408']."</b>, ";
		}
		echo "</center>";
		// sortowanie
		$sortuj = "name";
		$zab = preg_match("#(id|name|access|description)#si", $sort_by);
		if (isset($sort_by) && $zab) $sortuj = $sort_by;
		$result = dbquery("SELECT * FROM ".$db_prefix."article_cats WHERE ".groupaccess('article_cat_access')." ORDER BY 'article_cat_".$sortuj."'");


//
	$rows = dbrows($result);
	if ($rows != 0) {
		$counter = 0; $columns = 2;
		echo "<table border='0' cellpadding='0' cellspacing='0' width='100%' class='tbl'>\n<tr>\n";
		while ($data = dbarray($result)) {
			if ($counter != 0 && ($counter % $columns == 0)) echo "</tr>\n<tr>\n";
			$num = dbcount("(article_cat)", "articles", "article_cat='".$data['article_cat_id']."'");
			($data['article_cat_thumbnail'] == "" ? $thmb = "_brak.gif" : $thmb = $data['article_cat_thumbnail']);
			echo "<td valign='top' width='50%'>
			<table width='100%'><tr>
			<td width='1%'>";
			echo "<table cellspacing='0' cellpadding='0' border='0'><tr>\n";
			echo "<td><img src='".IMAGES."avatar_mod/gora_lewa.png'  height='12' width='12'></td>\n";
			echo "<td><img src='".IMAGES."avatar_mod/gora_srodek.png'  height='12' width='100%'></td>\n";
			echo "<td><img src='".IMAGES."avatar_mod/gora_prawa.png'  height='12' width='12'></td></tr>\n";
			echo "<td align='left'><img src='".IMAGES."avatar_mod/srodek_lewa.png' width='12' height='100%'></td>\n";
			echo "<td align='center' height='1%'>";
			echo "<img src='".IMAGES."article_cats/".$thmb."' height='50' width='50'></td>";
			echo "<td align='right'><img src='".IMAGES."avatar_mod/srodek_prawa.png' height='100%' width='12'></td></tr><tr>\n";
			echo "<td><img src='".IMAGES."avatar_mod/dol_lewa.png' height='12' width='12'></td>\n";
			echo "<td><img src='".IMAGES."avatar_mod/dol_srodek.png' height='12' width='100%'></td>\n";
			echo "<td><img src='".IMAGES."avatar_mod/dol_prawa.png' height='12' width='12'></td></tr>\n";
			echo "</tr></table></td>
			<td valign='top'><div class='tbl1'><a href='".FUSION_SELF."?cat_id=".$data['article_cat_id']."'>".$data['article_cat_name']."</a> <span class='small2'>($num)</span></div>";
			if ($data['article_cat_description'] != "") echo "\n<span class='small'>".$data['article_cat_description']."</span>";
			echo "</td>
			</tr></table>";
			echo "</td>\n";
			$counter++;
		}
		echo "</tr>\n</table>\n";
	} else {
		echo "<center><br>\n".$locale['401']."<br><br>\n</center>\n";
	}
	closetable();
} else {
	$res = 0;
	if (!isNum($cat_id)) fallback(FUSION_SELF);
	$result = dbquery("SELECT * FROM ".$db_prefix."article_cats WHERE article_cat_id='$cat_id'");
	if (dbrows($result) != 0) {
		$cdata = dbarray($result);
		if (checkgroup($cdata['article_cat_access'])) {
			$res = 1;
			opentable($locale['400'].": ".$cdata['article_cat_name']);
			
			// linki sortowania
			echo "<center>".$locale['404'].": ";
			// id
			if ($sort_by != "id")	{
			echo "<a href=articles.php?cat_id=$cat_id&sort_by=id>".$locale['405']."</a>, ";
			} else {
			echo "<b>".$locale['405']."</b>, ";
			}
			// subject
			if ($sort_by != "subject")	{
			echo "<a href=articles.php?cat_id=$cat_id&sort_by=subject>".$locale['406']."</a>, ";
			} else {
			echo "<b>".$locale['406']."</b>, ";
			}
			// snippet
			if ($sort_by != "snippet")	{
			echo "<a href=articles.php?cat_id=$cat_id&sort_by=snippet>".$locale['408']."</a>, ";
			} else {
			echo "<b>".$locale['408']."</b>, ";
			}
			// reads
			if ($sort_by != "reads")	{
			echo "<a href=articles.php?cat_id=$cat_id&sort_by=reads>".$locale['409']."</a>";
			} else {
			echo "<b>".$locale['409']."</b>";
			}
			echo "</center>";
			
			$rows = dbcount("(article_id)", "articles", "article_cat='$cat_id'");
			if (!isset($rowstart) || !isNum($rowstart)) $rowstart = 0;
			if ($rows != 0) {
				$result = dbquery("SELECT * FROM ".$db_prefix."articles WHERE article_cat='$cat_id' ORDER BY ".$cdata['article_cat_sorting']." LIMIT $rowstart,15");
				// sortowanie
				$sort = $cdata[article_cat_sorting];
				$zab = preg_match("#(id|subject|snippet|reads)#si", $sort_by);
				if (isset($sort_by) && $zab) $sort = "article_".$sort_by;
				$result = dbquery("SELECT * FROM ".$db_prefix."articles WHERE article_cat='$cat_id' ORDER BY ".$sort." LIMIT $rowstart,15");
				//
				$numrows = dbrows($result); $i = 1;
				while ($data = dbarray($result)) {
					if ($data['article_datestamp']+604800 > time()+($settings['timeoffset']*3600)) {
						$new = "&nbsp;<span class='small'>[".$locale['402']."]</span>";
					} else {
						$new = "";
					}
					echo "<a href='readarticle.php?article_id=".$data['article_id']."'>".$data['article_subject']."</a>$new (".$locale['410'].": ".$data['article_reads'].")<br>\n".stripslashes($data['article_snippet']);
				echo ($i != $numrows ? "<br><br>\n" : "\n"); $i++;
				}
				closetable();
				if ($rows > 15) echo "<div align='center' style='margin-top:5px;'>\n".makePageNav($rowstart,15,$rows,3,FUSION_SELF."?cat_id=$cat_id&amp;")."\n</div>\n";
			} else {
				echo "<center>".$locale['403']."</center>\n";
				closetable();
			}
		}
	}
	if ($res == 0) redirect(FUSION_SELF);
}

require_once "side_right.php";
require_once "footer.php";
?>
